import 'dart:ui';
import 'package:diplomaticquarterapp/config/config.dart';
import 'package:diplomaticquarterapp/config/shared_pref_kay.dart';
import 'package:diplomaticquarterapp/core/service/client/base_app_client.dart';
import 'package:diplomaticquarterapp/core/viewModels/project_view_model.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

/// ----  Default Theme  ----
///

//final projectProvider = Provider.of(AppGlobal.context);
final bluePrimary = Color(0xFF3F51B5);
final blueAccent = Color(0xFFFF9800);
final blueBackground = Color(0xFFFFFFFF);

// ProjectViewModel projectProvider = Provider.of(AppGlobal.context);
  final bwTheme = ThemeData(
    //fontFamily: projectProvider.isArabic ? 'Cairo' : 'WorkSans',
    primarySwatch: Colors.grey,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    brightness: Brightness.light,
    pageTransitionsTheme: const PageTransitionsTheme(
      builders: {
        TargetPlatform.android: ZoomPageTransitionsBuilder(),
        TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
      },
    ),
    hintColor: Colors.grey[400],
    cardColor: Colors.black,
    buttonColor: Colors.grey[400],
    disabledColor: Colors.grey[300],
    errorColor: Color.fromRGBO(235, 80, 60, 1.0),
    scaffoldBackgroundColor: Colors.grey,
    textSelectionColor: Color.fromRGBO(80, 100, 253, 0.5),
    textSelectionHandleColor: Colors.grey,
    canvasColor: Colors.white,
    backgroundColor: Colors.grey,
    highlightColor: Colors.grey[100].withOpacity(0.4),
    splashColor: Colors.transparent,
    primaryColor: Colors.grey,
    bottomSheetTheme: BottomSheetThemeData(backgroundColor: Color(0xffE0E0E0)),
    cursorColor: Colors.grey,

    iconTheme: IconThemeData(),
    appBarTheme: AppBarTheme(
      color: Colors.black45,
      brightness: Brightness.dark,
      elevation: 10.0,
      actionsIconTheme: IconThemeData(
        color: Colors.grey,
      ),
    ),
  );

  var defaultTheme = ThemeData(
    //fontFamily: ProjectViewModel().isArabic? 'Cairo' : 'WorkSans',
    primarySwatch: Colors.blue,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    brightness: Brightness.light,
    pageTransitionsTheme: const PageTransitionsTheme(
      builders: {
        TargetPlatform.android: ZoomPageTransitionsBuilder(),
        TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
      },
    ),
    hintColor: Colors.grey[400],
    disabledColor: Colors.grey[300],
    errorColor: Color.fromRGBO(235, 80, 60, 1.0),
    scaffoldBackgroundColor: Color(0xffEEEEEE),
    textSelectionColor: Color.fromRGBO(80, 100, 253, 0.5),
    textSelectionHandleColor: Colors.grey,
    canvasColor: Colors.white,
    backgroundColor: Colors.white,
    highlightColor: Colors.grey[100].withOpacity(0.4),
    splashColor: Colors.transparent,
    primaryColor: Color(0xff40ACC9),
    bottomSheetTheme: BottomSheetThemeData(backgroundColor: Color(0xffE0E0E0)),
    cursorColor: Colors.grey,
    cardColor: Colors.white,
    iconTheme: IconThemeData(),
    appBarTheme: AppBarTheme(
      color: Color(0xff40ACC9),
      brightness: Brightness.dark,
      elevation: 10.0,
      actionsIconTheme: IconThemeData(
        color: Color(0xff40ACC9),
      ),
    ),
  );

  final invertTheme = ThemeData(
    //fontFamily: projectProvider.isArabic ? 'Cairo' : 'WorkSans',
    primarySwatch: Colors.grey,
    visualDensity: VisualDensity.adaptivePlatformDensity,
    brightness: Brightness.light,
    pageTransitionsTheme: const PageTransitionsTheme(
      builders: {
        TargetPlatform.android: ZoomPageTransitionsBuilder(),
        TargetPlatform.iOS: CupertinoPageTransitionsBuilder(),
      },
    ),
    hintColor: Colors.grey[400],
    cardColor: Colors.black,
    buttonColor: Colors.grey[400],
    disabledColor: Colors.grey[300],
    errorColor: Color.fromRGBO(235, 80, 60, 1.0),
    scaffoldBackgroundColor: Colors.grey,
    textSelectionColor: Color.fromRGBO(80, 100, 253, 0.5),
    textSelectionHandleColor: Colors.grey,
    canvasColor: Colors.white,
    backgroundColor: Colors.grey,
    highlightColor: Colors.grey[100].withOpacity(0.4),
    splashColor: Colors.transparent,
    primaryColor: Colors.grey,
    bottomSheetTheme: BottomSheetThemeData(backgroundColor: Color(0xffE0E0E0)),
    cursorColor: Colors.grey,

    iconTheme: IconThemeData(),
    appBarTheme: AppBarTheme(
      color: Colors.grey,
      brightness: Brightness.dark,
      elevation: 10.0,
      actionsIconTheme: IconThemeData(
        color: Colors.grey,
      ),
    ),
  );

